
local glevel emcare 
foreach f of local glevel {

use ${dd}\ed_episodes_cleaned.dta, clear
	sort year_start bi_ind
	egen bigroup=group(year_start bi_ind)
	egen mogroup=group(year_start month_start)

estimates clear

*use the proper sample
merge m:1 aha using ${sc}/group_levels/`f'_fullsample.dta
keep if _merge==3
drop _merge

*episodes per year
bysort aha year_start: gen ep_counts=_N

*define the entry
if ("`f'"=="emcare_high" | "`f'"=="emcare_low" | "`f'"=="emcare") {
rename emcare_entry entry_marker
}

if ("`f'"=="teamhealth_high" | "`f'"=="teamhealth_low" | "`f'"=="teamhealth") {
rename teamhealth_entry entry_marker
}

*Split historical spending into thirds
xtile thirds=hist6_calc_allwd,nq(3)

*Indicator for which third of spending
gen q0=0
replace q0=1 if thirds==1

gen q1=0
replace q1=1 if thirds==2

gen q2=0
replace q2=1 if thirds==3

*Running through each variable with different samples
local varloop imaging_ind adm_ind proc5_ind fac_payment
foreach r of local varloop {

estimates clear

local tlist s1 s2 s3 s4 s5 s6 s7 s8 
foreach t of local tlist {

preserve

if "`t'"=="s4" 				keep if cindex==0
if "`t'"=="s5" 				keep if cindex !=0
if "`t'"=="s6" 				keep if q0==1
if "`t'"=="s7" 				keep if q1==1
if "`t'"=="s8" 				keep if q2==1


if "`t'"=="s1" 				local variables i.mogroup entry_marker
if "`t'"=="s2" 				local variables i.mogroup pat_female i.pat_age i.pat_race entry_marker
if "`t'"=="s3" 				local variables i.mogroup pat_female i.pat_age i.pat_race charind entry_marker
if "`t'"=="s4" 				local variables i.mogroup entry_marker
if "`t'"=="s5" 				local variables i.mogroup entry_marker
if "`t'"=="s6" 				local variables i.mogroup entry_marker
if "`t'"=="s7" 				local variables i.mogroup entry_marker
if "`t'"=="s8"				local variables i.mogroup entry_marker

if "`t'"=="s1" 		local exlist *mogroup*
if "`t'"=="s2" 		local exlist *mogroup* pat_female *pat_age* *pat_race* 
if "`t'"=="s3" 		local exlist *mogroup* pat_female *pat_age* *pat_race* charind
if "`t'"=="s4" 		local exlist *mogroup* 
if "`t'"=="s5" 		local exlist *mogroup* 
if "`t'"=="s6" 		local exlist *mogroup* 
if "`t'"=="s7" 		local exlist *mogroup* 
if "`t'"=="s8"		local exlist *mogroup*


qui eststo: areg `r' `variables', absorb(aha) vce(cluster aha)
estadd ysumm
esttab using ${o}/final_tables/`f'_upcoding_`r'.csv, stats(ymean ysd N) replace se ///
	nogaps drop(_cons `exlist') r2 noparentheses starlevels(* 0.10 ** 0.05 *** 0.01)
	
restore
}

}

}

